summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorKyle Keen2015-06-13 00:16:12 -0400
committerKyle Keen2015-06-13 00:16:12 -0400
commit6a2e65203df6cf42bd5c5426446db4a95cf5f39d (patch)
tree4f570f73130691ef61b76ad33589b44996271fcd /PKGBUILD
downloadaur-6a2e65203df6cf42bd5c5426446db4a95cf5f39d.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..44ba6d18d92
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,42 @@
+# Maintainer: Kyle Keen <keenerd@gmail.com>
+# Contributor: Stefan Husmann <stefan-husmann@t-online.de>
+# Contributor: Leslie P. Polzer <polzer@stardawn.org>
+# Contributor: RaxG
+
+pkgname=ede
+pkgver=2.1
+pkgrel=1
+pkgdesc="The lightweight Equinox Desktop Environment"
+arch=('i686' 'x86_64')
+url="http://equinox-project.org/"
+_watch="http://equinox-project.org/wiki/Download"
+license=('LGPL')
+depends=('edelib')
+provides=('pekwm')
+conflicts=('pekwm')
+makedepends=('ftjam' 'asciidoc')
+source=(http://downloads.sourceforge.net/project/ede/$pkgname/$pkgver/$pkgname-$pkgver.tar.gz)
+md5sums=('232300328557a75ad2aef5fdc064002e')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ find ./ -type f -name '*.py' | xargs -n 1 sed -i 's|/usr/bin/env python$|/usr/bin/env python2|'
+ CFLAGS="-mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -fPIC"
+ CXXFLAGS="-mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -fPIC"
+ MAKEFLAGS="-j1"
+ ./autogen.sh
+ ./configure --prefix=/usr
+ # http://sourceforge.net/projects/ede/forums/forum/249616/topic/5288645
+ sed -i '15i unset XDG_{DATA,CONFIG,CACHE,MENUS}_{HOME,DIRS,PREFIX}' data/startede
+ # jam is weird, likes to error
+ jam || true
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ jam prefix="$pkgdir/usr" install || true
+ # use official pekwm eventually
+ #rm -rf "$pkgdir/usr/etc/pekwm"
+ #rm -rf "$pkgdir/usr/bin/pekwm"
+ #rm -rf "$pkgdir/usr/share/pekwm"
+}